package de.szut.casino.lootboxes;

import jakarta.validation.constraints.DecimalMax;
import jakarta.validation.constraints.DecimalMin;
import jakarta.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class CreateRewardDto {
    @NotNull(message = "Reward value cannot be null")
    @DecimalMin(value = "0.00", message = "Reward value must be positive")
    private BigDecimal value;

    @NotNull(message = "Probability cannot be null")
    @DecimalMin(value = "0.0", message = "Probability must be at least 0.0")
    @DecimalMax(value = "1.0", message = "Probability must be at most 1.0")
    private BigDecimal probability;
}
