import { Routes } from '@angular/router';
import { LandingComponent } from './feature/landing/landing.component';
import { authGuard } from './auth.guard';

export const routes: Routes = [
  {
    path: '',
    component: LandingComponent,
  },
  {
    path: 'auth/callback',
    loadComponent: () => import('./feature/login-success/login-success.component'),
  },
  {
    path: 'home',
    loadComponent: () => import('./feature/home/home.component'),
    canActivate: [authGuard],
  },
  {
    path: 'game/blackjack',
    loadComponent: () => import('./feature/game/blackjack/blackjack.component'),
    canActivate: [authGuard],
  },
];
