export type Suit = 'HEARTS' | 'DIAMONDS' | 'CLUBS' | 'SPADES';

export interface Card {
  suit: Suit;
  rank: string;
  hidden: boolean;
}

export interface BlackjackGame {
  id: number;
  state: string;
  bet: number;
  playerCards: Card[];
  dealerCards: Card[];
  userId: number;
}

export const suitSymbols: Record<Suit, string> = {
  HEARTS: '♥',
  DIAMONDS: '♦',
  CLUBS: '♣',
  SPADES: '♠',
};
