import { HttpInterceptorFn } from '@angular/common/http';
import { inject } from '@angular/core';
import { OAuthStorage } from 'angular-oauth2-oidc';

export const httpInterceptor: HttpInterceptorFn = (req, next) => {
  const oauthStorage = inject(OAuthStorage);

  if (oauthStorage.getItem('access_token')) {
    return next(
      req.clone({
        setHeaders: {
          Authorization: 'Bearer ' + oauthStorage.getItem('access_token'),
          'Access-Control-Allow-Origin': '*',
          'Referrer-Policy': 'no-referrer',
        },
      })
    );
  } else {
    return next(req);
  }
};
